From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/
Date: Tue, 14 Mar 2017 14:44:23 +0000 (UTC) [thread overview]
Message-ID: <1489502648.1fed8cbab1d87c860918cc4793cf1c8f69509f43.mrueg@gentoo> (raw)
commit: 1fed8cbab1d87c860918cc4793cf1c8f69509f43
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 14 14:44:08 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Mar 14 14:44:08 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fed8cba
www-apps/gitea: Version bump to 1.1.0
Package-Manager: Portage-2.3.4, Repoman-2.3.2
www-apps/gitea/Manifest | 1 +
www-apps/gitea/gitea-1.1.0.ebuild | 69 +++++++++++++++++++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 8986d6f1165..cb6d50555cb 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1 +1,2 @@
DIST gitea-1.0.2.tar.gz 13448604 SHA256 f75e220f8c44a9b7c67d2d5339479e690df9f03ec3337eede3aab0c7e8e55c87 SHA512 1826e60961adc585fd54a2c913e6cfaa9754052a932981f83eb6a1f2521d09eb7165545f80494439763c8f13bb1f4ffc24b791162cae7b739fd9eb96f7db530c WHIRLPOOL 3afcfbf4d15b94b4b8e5fde511626ce6acfbf201a58b54f3cd077b6c6487f62b3a0b3e4ef7c3c4526a432e0aa4833e038ca7d69e2e09cf9fe329ea65607f42ab
+DIST gitea-1.1.0.tar.gz 13014916 SHA256 baf35f5b4920498c91e66d6afa13fa4320af9997f3321b1176fac0b0384a4d6f SHA512 206b3b3b2af13634573bb956f7a7db11a45dba36b73a48fb2561018b445b9f7d215d77af6ed1b985d8098d835502544347974223d3892a75abfdce7f5769cbba WHIRLPOOL 6ffb6e452f64bbc64802c7e17e2e178a651ae07739997614c6574a75b9cefdfcb99a060e7b57cd304847526a7160b8ce1ade72346348ea967bb3302d71879eae
diff --git a/www-apps/gitea/gitea-1.1.0.ebuild b/www-apps/gitea/gitea-1.1.0.ebuild
new file mode 100644
index 00000000000..e8872dc782e
--- /dev/null
+++ b/www-apps/gitea/gitea-1.1.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="code.gitea.io/gitea/..."
+GIT_COMMIT="1d65291"
+ARCHIVE_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~arm"
+
+DESCRIPTION="A painless self-hosted Git service, written in Go"
+HOMEPAGE="https://github.com/go-gitea/gitea"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-go/go-bindata"
+RDEPEND="dev-vcs/git"
+
+pkg_setup() {
+ enewgroup git
+ enewuser git -1 /bin/bash /var/lib/gitea git
+}
+
+src_prepare() {
+ default
+ local GITEA_PREFIX=${EPREFIX}/var/lib/gitea
+ sed -i -e "s/git rev-parse --short HEAD/echo ${GIT_COMMIT}/"\
+ -e "s/^LDFLAGS += -X \"main.Version.*$/LDFLAGS += -X \"main.Version=${PV}\"/"\
+ -e "s/-ldflags '-s/-ldflags '/" src/${EGO_PN%/*}/Makefile || die
+ sed -i -e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${GITEA_PREFIX}/data#"\
+ -e "s#^PATH = data/gitea.db#PATH = ${GITEA_PREFIX}/data/gitea.db#"\
+ -e "s#^PROVIDER_CONFIG = data/sessions#PROVIDER_CONFIG = ${GITEA_PREFIX}/data/sessions#"\
+ -e "s#^AVATAR_UPLOAD_PATH = data/avatars#AVATAR_UPLOAD_PATH = ${GITEA_PREFIX}/data/avatars#"\
+ -e "s#^TEMP_PATH = data/tmp/uploads#TEMP_PATH = ${GITEA_PREFIX}/data/tmp/uploads#"\
+ -e "s#^PATH = data/attachments#PATH = ${GITEA_PREFIX}/data/attachments#"\
+ -e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#" src/${EGO_PN%/*}/conf/app.ini || die
+}
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN%/*} generate
+ TAGS="bindata pam sqlite" LDFLAGS="" CGO_LDFLAGS="-fno-PIC" GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" emake -C src/${EGO_PN%/*} build
+}
+
+src_install() {
+ pushd src/${EGO_PN%/*} || die
+ dobin gitea
+ insinto /var/lib/gitea/conf
+ newins conf/app.ini app.ini.example
+ popd || die
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/gitea.logrotated gitea
+ newinitd "${FILESDIR}"/gitea.initd gitea
+ newconfd "${FILESDIR}"/gitea.confd gitea
+ keepdir /var/log/gitea /var/lib/gitea/data
+ fowners -R git:git /var/log/gitea /var/lib/gitea/
+}
+
+pkg_postinst() {
+ if [[ ! -e ${EROOT}/var/lib/gitea/conf/app.ini ]]; then
+ elog "No app.ini found, copying the example over"
+ cp "${EROOT}"/var/lib/gitea/conf/app.ini{.example,} || die
+ else
+ elog "app.ini found, please check example file for possible changes"
+ fi
+}
next reply other threads:[~2017-03-14 14:44 UTC|newest]
Thread overview: 183+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-14 14:44 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-26 6:27 [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/ Sam James
2025-03-25 20:15 Yixun Lan
2025-03-25 2:23 Yixun Lan
2025-02-15 15:52 Ulrich Müller
2025-02-08 9:43 Yixun Lan
2025-01-10 2:52 Yixun Lan
2025-01-10 2:52 Yixun Lan
2025-01-10 0:31 Sam James
2024-12-14 7:30 Yixun Lan
2024-11-15 14:58 Yixun Lan
2024-11-14 1:49 Sam James
2024-10-10 10:46 Yixun Lan
2024-09-06 10:25 Yixun Lan
2024-06-06 22:27 Yixun Lan
2024-06-06 22:24 Yixun Lan
2024-04-16 21:23 Yixun Lan
2024-04-16 21:23 Yixun Lan
2024-04-16 5:42 Joonas Niilola
2024-03-26 13:45 Yixun Lan
2024-03-15 9:15 Yixun Lan
2024-02-26 11:33 Yixun Lan
2024-02-24 2:02 Yixun Lan
2024-02-20 2:53 Yixun Lan
2024-02-20 2:53 Yixun Lan
2024-02-19 6:50 Yixun Lan
2024-02-18 7:27 Joonas Niilola
2024-02-04 17:10 WANG Xuerui
2024-02-02 0:53 Yixun Lan
2024-01-23 13:44 Yixun Lan
2024-01-20 13:00 Sam James
2024-01-20 11:04 Yixun Lan
2024-01-12 11:29 Arthur Zamarin
2023-12-21 15:07 Yixun Lan
2023-12-12 23:33 Yixun Lan
2023-11-29 23:54 Yixun Lan
2023-11-29 16:45 Arthur Zamarin
2023-11-29 12:53 Yixun Lan
2023-11-29 12:53 Yixun Lan
2023-11-21 14:38 Yixun Lan
2023-11-17 1:51 Yixun Lan
2023-11-17 1:51 Yixun Lan
2023-11-01 6:37 Yixun Lan
2023-11-01 6:37 Yixun Lan
2023-10-14 7:49 Hans de Graaff
2023-09-16 0:37 Sam James
2023-09-09 11:16 Joonas Niilola
2023-05-30 2:00 John Helmert III
2023-05-27 8:24 Joonas Niilola
2023-05-27 8:24 Joonas Niilola
2023-05-27 8:24 Joonas Niilola
2023-04-17 9:35 Sam James
2023-04-16 6:56 Sam James
2023-03-11 7:41 Yixun Lan
2023-01-28 5:47 John Helmert III
2023-01-27 6:17 Joonas Niilola
2023-01-27 5:44 John Helmert III
2022-12-31 19:25 Sam James
2022-12-27 1:31 John Helmert III
2022-12-26 9:47 Sam James
2022-12-24 7:18 Sam James
2022-10-20 15:42 John Helmert III
2022-10-20 10:52 Jakov Smolić
2022-10-16 23:41 Sam James
2022-09-29 13:53 Joonas Niilola
2022-09-29 7:34 Jakov Smolić
2022-09-29 5:17 Joonas Niilola
2022-09-29 2:16 Sam James
2022-08-26 12:04 Sam James
2022-08-26 12:04 Sam James
2022-07-30 2:33 Sam James
2022-07-23 9:13 Joonas Niilola
2022-06-12 7:33 Joonas Niilola
2022-06-12 7:33 Joonas Niilola
2022-05-30 6:05 Joonas Niilola
2022-05-13 20:12 Sam James
2022-05-06 8:00 Agostino Sarubbo
2022-05-04 23:22 Sam James
2022-05-04 23:22 Sam James
2022-05-04 23:22 Sam James
2022-05-02 6:04 Joonas Niilola
2022-05-01 16:32 Joonas Niilola
2022-03-25 19:25 Sam James
2022-03-25 19:25 Sam James
2022-03-16 17:33 Sam James
2022-03-16 17:33 Sam James
2022-03-12 17:25 Matthew Smith
2022-03-12 17:25 Matthew Smith
2022-02-09 11:25 Sam James
2022-02-09 11:25 Sam James
2022-02-03 2:21 Sam James
2022-02-03 2:21 Sam James
2022-01-28 8:36 Sam James
2022-01-28 8:36 Sam James
2021-12-25 23:20 Sam James
2021-12-25 23:20 Sam James
2021-12-21 1:56 Sam James
2021-12-01 15:54 Joonas Niilola
2021-11-30 7:54 Joonas Niilola
2021-11-30 7:54 Joonas Niilola
2021-10-31 2:55 Sam James
2021-10-31 2:55 Sam James
2021-10-31 2:55 Sam James
2021-09-24 23:40 Sam James
2021-09-24 23:40 Sam James
2021-09-24 7:56 Joonas Niilola
2021-09-01 16:42 William Hubbs
2021-08-30 15:07 Mike Gilbert
2021-08-10 13:37 Joonas Niilola
2021-08-10 13:37 Joonas Niilola
2021-08-10 13:37 Joonas Niilola
2021-06-21 22:36 Sam James
2021-04-10 4:24 Sam James
2021-04-10 4:24 Sam James
2021-03-31 7:40 Joonas Niilola
2021-03-31 7:40 Joonas Niilola
2021-03-09 12:01 Joonas Niilola
2021-03-09 12:01 Joonas Niilola
2021-02-09 8:56 Sam James
2021-02-09 8:56 Sam James
2021-01-10 18:39 Sam James
2020-12-15 3:58 Sam James
2020-12-15 3:58 Sam James
2020-12-15 3:58 Sam James
2020-11-24 13:26 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-10-07 19:06 Sam James
2020-10-07 17:01 Sam James
2020-10-07 17:01 Sam James
2020-09-04 20:53 William Hubbs
2020-07-16 14:39 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-06-02 4:35 Aaron Bauman
2020-06-02 4:35 Aaron Bauman
2020-05-13 7:59 Joonas Niilola
2020-05-13 7:59 Joonas Niilola
2020-05-13 7:59 Joonas Niilola
2020-05-13 7:59 Joonas Niilola
2020-03-15 11:12 Joonas Niilola
2020-03-15 11:12 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-06 10:39 Joonas Niilola
2019-12-12 17:53 Joonas Niilola
2019-12-12 17:53 Joonas Niilola
2019-06-27 14:49 Michał Górny
2019-04-23 17:36 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-18 3:30 Aaron Bauman
2019-03-15 22:42 Patrice Clement
2018-10-14 13:03 Pacho Ramos
2018-10-14 13:03 Pacho Ramos
2018-10-10 11:23 Michał Górny
2018-08-20 14:55 Manuel Rüger
2018-08-05 13:38 Manuel Rüger
2018-06-02 12:08 Manuel Rüger
2017-12-10 23:24 Manuel Rüger
2017-12-01 14:04 Manuel Rüger
2017-12-01 14:04 Manuel Rüger
2017-11-15 14:24 Manuel Rüger
2017-11-03 13:37 Manuel Rüger
2017-11-03 13:37 Manuel Rüger
2017-10-22 0:21 Manuel Rüger
2017-10-22 0:21 Manuel Rüger
2017-09-08 21:55 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-06-14 15:36 Manuel Rüger
2017-06-14 15:36 Manuel Rüger
2017-05-05 14:30 Manuel Rüger
2017-03-19 21:35 Manuel Rüger
2017-03-19 21:34 Manuel Rüger
2017-02-24 10:59 Manuel Rüger
2017-02-24 10:59 Manuel Rüger
2017-01-11 15:40 Manuel Rüger
2016-12-29 23:48 Manuel Rüger
2016-12-26 0:28 Manuel Rüger
2016-12-25 20:53 Manuel Rüger
2016-12-24 21:16 Manuel Rüger
2016-12-20 0:59 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1489502648.1fed8cbab1d87c860918cc4793cf1c8f69509f43.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox